[Armadeus-commitlog] armadeus branch, master, updated. armadeus-5.3-791-g7c17cae
Brought to you by:
sszy
|
From: Julien B a. A. <ar...@us...> - 2015-07-14 17:45:09
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "armadeus".
The branch, master has been updated
via 7c17cae198d734c0445c6299a8273c6cb0414cf2 (commit)
from 8d66441dd02856f0856e2836e94f4a52f2d6b0b5 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 7c17cae198d734c0445c6299a8273c6cb0414cf2
Author: Julien Boibessot <jul...@ar...>
Date: Tue Jul 14 19:44:56 2015 +0200
[TEST] Add APF6 support to test_wifi.sh
-----------------------------------------------------------------------
Summary of changes:
target/test/test_wifi.sh | 34 +++++++++++++++++++++++++---------
1 files changed, 25 insertions(+), 9 deletions(-)
diff --git a/target/test/test_wifi.sh b/target/test/test_wifi.sh
index e8097de..523af92 100755
--- a/target/test/test_wifi.sh
+++ b/target/test/test_wifi.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2010-2013 The Armadeus Project - Armadeus systems
+# Copyright (C) 2010-2015 The Armadeus Project - Armadeus systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -23,7 +23,7 @@ get_interface_name()
{
if [ "$1" == "APF27" ]; then
WLAN_IF=eth1
- elif [ "$1" == "APF51" ]; then
+ elif [[ "$1" == "APF51" || "$1" == "APF6" ]]; then
WLAN_IF=wlan0
else
echo "Platform not supported by this test"
@@ -31,6 +31,26 @@ get_interface_name()
fi
}
+load_driver()
+{
+ RES=1
+ if [[ "$1" == "APF27" || "$1" == "APF51" ]]; then
+ DRIVER_NAME=Libertas
+ modprobe libertas_sdio
+ RES=$?
+ elif [ "$1" == "APF6" ]; then
+ DRIVER_NAME=WL127x
+ modprobe wl12xx
+ modprobe wlcore_sdio
+ RES=$?
+ sleep 1
+ fi
+ if [ "$RES" != 0 ]; then
+ echo "Failed to load $DRIVER_NAME driver !!"
+ exit_failed
+ fi
+}
+
test_wifi()
{
show_test_banner "Wi-Fi (802.11 b/g)"
@@ -38,17 +58,13 @@ test_wifi()
ask_user "This test assumes that you run a private Wi-Fi network (WEP shared key security). \nYour Access Point (AP) should be connected to your Host. Press ENTER to continue"
if [ "$1" == "" ]; then
- ask_user "Do you have an APW wireless extension board or an APF51Dev ? (Y/n)"
+ ask_user "Do you have an APF27Dev+APW extension or an APF51Dev or an APF6+Wi-Fi? (Y/n)"
if [ "$response" == "n" ] || [ "$response" == "no" ]; then
- echo "Currently, only the APW & the APF51Dev are supported by this test !!"
+ echo "Currently, only the APW, the APF51Dev & the APF6 are supported by this test !!"
exit_failed
fi
- modprobe libertas_sdio
- if [ "$?" != 0 ]; then
- echo "Failed to load Libertas driver !!"
- exit_failed
- fi
+ execute_for_target load_driver
execute_for_target get_interface_name
else
WLAN_IF=$1
hooks/post-receive
--
armadeus
|